/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 应用表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-13 10:00:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "应用表")
public class App extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_appName = "appName";
  public static final String KEY_appSize = "appSize";
  public static final String KEY_packageName = "packageName";
  public static final String KEY_buildVersion = "buildVersion";
  public static final String KEY_platform = "platform";
  public static final String KEY_appUrl = "appUrl";
  public static final String KEY_versionMark = "versionMark";
  public static final String KEY_ownerId = "ownerId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_appIcon = "appIcon";
  public static final String KEY_remarks = "remarks";
  public static final String KEY_versionCode = "versionCode";
  public static final String KEY_activity = "activity";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 应用id<br>
   */
  @ApiModelProperty("应用id")
  @Size(max = 32, message="应用id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 应用名称<br>
   */
  @ApiModelProperty("应用名称")
  @Size(max = 32, message="应用名称-appName: 数据长度不能 > 32" )
  private String appName;
  /**
   * 应用大小<br>
   */
  @ApiModelProperty("应用大小")
  @Size(max = 32, message="应用大小-appSize: 数据长度不能 > 32" )
  private String appSize;
  /**
   * 包名称<br>
   */
  @ApiModelProperty("包名称")
  @Size(max = 32, message="包名称-packageName: 数据长度不能 > 32" )
  private String packageName;
  /**
   * 构建版本<br>
   */
  @ApiModelProperty("构建版本")
  @Size(max = 32, message="构建版本-buildVersion: 数据长度不能 > 32" )
  private String buildVersion;
  /**
   * 平台类型$$$0-android,1-IOS<br>
   */
  @ApiModelProperty("平台类型$$$0-android,1-IOS")
  @Size(max = 32, message="平台类型$$$0-android,1-IOS-platform: 数据长度不能 > 32" )
  private String platform;
  /**
   * 脚本文件地址<br>
   */
  @ApiModelProperty("脚本文件地址")
  @Size(max = 512, message="脚本文件地址-appUrl: 数据长度不能 > 512" )
  private String appUrl;
  /**
   * 版本说明<br>
   */
  @ApiModelProperty("版本说明")
  @Size(max = 32, message="版本说明-versionMark: 数据长度不能 > 32" )
  private String versionMark;
  /**
   * 设备归属对象ID<br>
   */
  @ApiModelProperty("设备归属对象ID")
  @Size(max = 32, message="设备归属对象ID-ownerId: 数据长度不能 > 32" )
  private String ownerId;
  /**
   * 租户ID<br>
   */
  @ApiModelProperty("租户ID")
  @Size(max = 32, message="租户ID-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * app图标<br>
   */
  @ApiModelProperty("app图标")
  private byte[] appIcon;
  /**
   * 备注<br>
   */
  @ApiModelProperty("备注")
  @Size(max = 256, message="备注-remarks: 数据长度不能 > 256" )
  private String remarks;
  /**
   * 版本编号<br>
   */
  @ApiModelProperty("版本编号")
  private Integer versionCode;
  /**
   * activity<br>
   */
  @ApiModelProperty("activity")
  @Size(max = 128, message="activity-activity: 数据长度不能 > 128" )
  private String activity;
  /**
   * 上传人<br>
   */
  @ApiModelProperty("上传人")
  @Size(max = 32, message="上传人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 应用id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 应用id<br>
   *
   * @param id 应用id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 应用名称<br>
   */
  public String getAppName()
  {
      return appName;
    }

  /**
   * 应用名称<br>
   *
   * @param appName 应用名称
   */
  public void setAppName(String appName)
  {
      this.appName = appName;
    }
  /**
   * 应用大小<br>
   */
  public String getAppSize()
  {
      return appSize;
    }

  /**
   * 应用大小<br>
   *
   * @param appSize 应用大小
   */
  public void setAppSize(String appSize)
  {
      this.appSize = appSize;
    }
  /**
   * 包名称<br>
   */
  public String getPackageName()
  {
      return packageName;
    }

  /**
   * 包名称<br>
   *
   * @param packageName 包名称
   */
  public void setPackageName(String packageName)
  {
      this.packageName = packageName;
    }
  /**
   * 构建版本<br>
   */
  public String getBuildVersion()
  {
      return buildVersion;
    }

  /**
   * 构建版本<br>
   *
   * @param buildVersion 构建版本
   */
  public void setBuildVersion(String buildVersion)
  {
      this.buildVersion = buildVersion;
    }
  /**
   * 平台类型$$$0-android,1-IOS<br>
   */
  public String getPlatform()
  {
      return platform;
    }

  /**
   * 平台类型$$$0-android,1-IOS<br>
   *
   * @param platform 平台类型$$$0-android,1-IOS
   */
  public void setPlatform(String platform)
  {
      this.platform = platform;
    }
  /**
   * 脚本文件地址<br>
   */
  public String getAppUrl()
  {
      return appUrl;
    }

  /**
   * 脚本文件地址<br>
   *
   * @param appUrl 脚本文件地址
   */
  public void setAppUrl(String appUrl)
  {
      this.appUrl = appUrl;
    }
  /**
   * 版本说明<br>
   */
  public String getVersionMark()
  {
      return versionMark;
    }

  /**
   * 版本说明<br>
   *
   * @param versionMark 版本说明
   */
  public void setVersionMark(String versionMark)
  {
      this.versionMark = versionMark;
    }
  /**
   * 设备归属对象ID<br>
   */
  public String getOwnerId()
  {
      return ownerId;
    }

  /**
   * 设备归属对象ID<br>
   *
   * @param ownerId 设备归属对象ID
   */
  public void setOwnerId(String ownerId)
  {
      this.ownerId = ownerId;
    }
  /**
   * 租户ID<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户ID<br>
   *
   * @param tenantId 租户ID
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * app图标<br>
   */
  public byte[] getAppIcon()
  {
      return appIcon;
    }

  /**
   * app图标<br>
   *
   * @param appIcon app图标
   */
  public void setAppIcon(byte[] appIcon)
  {
      this.appIcon = appIcon;
    }
  /**
   * 备注<br>
   */
  public String getRemarks()
  {
      return remarks;
    }

  /**
   * 备注<br>
   *
   * @param remarks 备注
   */
  public void setRemarks(String remarks)
  {
      this.remarks = remarks;
    }
  /**
   * 版本编号<br>
   */
  public Integer getVersionCode()
  {
      return versionCode;
    }

  /**
   * 版本编号<br>
   *
   * @param versionCode 版本编号
   */
  public void setVersionCode(Integer versionCode)
  {
      this.versionCode = versionCode;
    }
  /**
   * activity<br>
   */
  public String getActivity()
  {
      return activity;
    }

  /**
   * activity<br>
   *
   * @param activity activity
   */
  public void setActivity(String activity)
  {
      this.activity = activity;
    }
  /**
   * 上传人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 上传人<br>
   *
   * @param createdBy 上传人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public App()
  {
  }

}
